Largest Provider of Commercial Smalltalk
Cincom is the largest commercial provider of Smalltalk in the world, with twice as many partners and customers than all other commercial providers combined.

Tom Nies

Customer Support

Cincom would like to make our Smalltalk customers aware of the support status of our products. In general, the current release of a product is supported as per the License Agreement and Schedule of Products that you have.  If you are a supported customer, please check your monthly resolutions newsletter for updates on patches and new VMs. If you are a supported customer and aren’t receiving the newsletter, send a request to Kimberly Thomas. PLEASE NOTE: VSE (all versions), Cincom® ObjectStudio® 8.6.x, and Cincom® VisualWorks® 8.0.x and earlier releases are now at the “Inactive” Support Level

Cincom Smalltalk Release

ObjectStudio Release VisualWorks Release Support Level
1902 (Maintenance Release) 8.9.2 8.3.2 Active
1804 (Maintenance Release) 8.9.1 8.3.1 Active
1709 (Major Release) 8.9 8.3 Active
1702 (Maintenance Release) 8.8.1 8.2.1 Active
1608 (Major Release) 8.8 8.2 Active
1604 (Maintenance Release) 8.7.1 8.1.1 Sustained
1508 (Major Release) 8.7 8.1 Sustained
1504 (Maintenance Release) 8.6.1 8.0.1 Inactive
1409 (Major Release) 8.6 8.0 Inactive
1403 (Maintenance Release) 8.5.1 7.10.1 Retired
1307 (Major Release) 8.5 7.10 Retired

Cincom ObjectStudio

ObjectStudio Version 8.9.2
Platform Version 32-bit VM 64-bit VM
Windows x86 Windows Server 2008 R2, Windows 7, 8.x, Windows 10 Yes N/A
Windows x64 Windows Server 2008 R2, 2012, 2016 Windows 7, 8.x, Windows 10 Yes No
 

Cincom VisualWorks

VisualWorks Version 8.3.2
Platform Version 32 bit vm 64 bit vm
Windows x86 Windows Server 2008 R2, Windows 7, 8.x, Windows 10 Yes N/A
Windows x64 Windows Server 2008 R2, 2012, 2016 Windows 7, 8.x, Windows 10 Yes Yes
Mac OS X 10.9.x – 10.12.x Yes Yes
Solaris 10, 11 Yes Yes
AIX 7.x Yes Preview
Linux x86 Glibc 2.5, libx11 1.0.3, zlib1.2.3 (RHEL 5.4 equivalent) Yes Yes
Linux PPC Glibc 2.5, libx11 1.0.3, zlib1.2.3 (RHEL 5.4 equivalent) Yes Yes
Linux ARM (Raspberry Pi) libc6 / glibc 2.19,  libx11 1.6.2, zlib1g 1.2.8 Preview